# Update Subledgers

This endpoint takes a list of FloQast reconciliation IDs and updates the subledger balance for each.

Endpoint: PUT /api/v1/transactions/subledgers
Version: 1.0.0
Security: x-api-key

## Query parameters:

  - `allowRedirect` (boolean)
    If set to true, the API will return a 303 redirect response if the response payload is too large. The field body.data.url will include the URL to the actual resource.
    Example: true

## Request fields (application/json):

  - `data` (array)
    Array of Subledger Data

  - `data.reconciliationId` (string, required)
    Id of reconciliation
    Example: "5e94d5b63f557b001420bbe3"

  - `data.subledger` (object, required)
    Subledger data

  - `data.subledger.balance` (string, required)
    Balance of subledger. The amount may include non-numeric symbols, a minus sign for negatives, and a period or comma for decimals.
    Example: "1001.99"

  - `data.subledger.currency` (string, required)
    Currency of subledger
    Example: "USD"

  - `data.subledger.locale` (string)
    Locale of balance. Defaults to en-US
    Example: "en-US"

## Response 200 fields (application/json):

  - `statusId` (string)
    Example: "615bcdc00000000000000302"

## Response 303 fields (application/json):

  - `data` (object)

  - `data.url` (string)
    The URL to the new location of the resource.

## Response 400 fields (application/json):

  - `message` (object)
    Reason(s) for the errors related to incorrect query keys or values that are out of bound

  - `message.errors` (array)

  - `message.errors.field` (string)
    The field that caused the error
    Example: "reconciliationId"

  - `message.errors.message` (string)
    The error message
    Example: "reconciliationId is required"

  - `name` (string)
    BadRequest
    Example: "BadRequest"

  - `status` (integer)
    The HTTP status code.
    Example: 400

## Response 401 fields (application/json):

  - `message` (string)
    Reason for the error such as incorrect service access, malformed, expired or deactivated token.
    Example: "Invalid token"

  - `name` (string)
    Unauthorized
    Example: "Unauthorized"

  - `status` (integer)
    The HTTP status code.
    Example: 401


